Package net.snowflake.client.jdbc

## Class SFBaseFileTransferAgent.UploadCommandEncryptionFacade

- java.lang.Object
- - net.snowflake.client.jdbc.SFBaseFileTransferAgent.UploadCommandFacade
  - - net.snowflake.client.jdbc.SFBaseFileTransferAgent.UploadCommandEncryptionFacade

Enclosing class:
  SFBaseFileTransferAgent

    public class SFBaseFileTransferAgent.UploadCommandEncryptionFacade
    extends SFBaseFileTransferAgent.UploadCommandFacade

### Constructor Summary

Constructors
`UploadCommandEncryptionFacade​(String srcFile, String destFile, String resultStatus, String errorDetails, long srcSize, long destSize, String srcCompressionType, String destCompressionType, boolean isEncrypted)`

### Method Summary

### Methods inherited from class net.snowflake.client.jdbc.SFBaseFileTransferAgent.UploadCommandFacade

`getSrcFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UploadCommandEncryptionFacade

    public UploadCommandEncryptionFacade​(String srcFile,
                                         String destFile,
                                         String resultStatus,
                                         String errorDetails,
                                         long srcSize,
                                         long destSize,
                                         String srcCompressionType,
                                         String destCompressionType,
                                         boolean isEncrypted)